Subject: Re: bug#27230: eldoc doc

From: "Charles A. Roelli" <[email-masked]>
Date: Tue, 6 Jun 2017 20:33:09 +0200

I'm confused about how the command `define-globalized-minor-mode'
defines will handle buffers that already have the minor mode turned
on.  Say buffers A and B have simple `eldoc-mode' switched on, and
buffers C and D don't (and global-eldoc-mode is off).  If I then
switch global-eldoc-mode on, is every buffer's value of eldoc-mode
now /on/, or do the values get toggled instead (leaving A and B off, C
and D on)?  And after that, if I toggle global-eldoc-mode off again,
are the previous values remembered and restored, or does every buffer
now have eldoc-mode switched off?

Thanks for your help with this.  I've probably missed a paragraph in the 
docs somewhere.

On 06/06/2017 00:08, Dmitry Gutov wrote:
> On 6/4/17 1:38 PM, Charles A. Roelli wrote:
>>  From the top of eldoc.el:
>>
>> ;; One useful way to enable this minor mode is to put the following 
>> in your
>> ;; .emacs:
>> ;;
>> ;;      (add-hook 'emacs-lisp-mode-hook 'eldoc-mode)
>> ;;      (add-hook 'lisp-interaction-mode-hook 'eldoc-mode)
>> ;;      (add-hook 'ielm-mode-hook 'eldoc-mode)
>> ;;      (add-hook 'eval-expression-minibuffer-setup-hook 'eldoc-mode)
>>
>> In 25.2, none of these lines are needed.  Maybe
>> these lines could be replaced with a mention of global-eldoc-mode,
>> and how the "globalized" minor mode and eldoc-mode interact (not sure
>> how they do).
>
> Do you mean that how define-globalized-minor-mode works is unclear to 
> you, or some aspects of how it applies to eldoc-mode?
>
>> Also, most of the functions in eldoc have no docstring (seems ironic).
>> Would there be any interest in a patch to fix that?
>
> Sure!